﻿ rsq←{                ⍝ r-squared statistic of ⍺ (y) fitted by ⍵ (x)
     b←⍺⌹1,⍪⍵         ⍝ regression coefficients
     yhat←(1,⍪⍵)+.×b  ⍝ predicted values
     ybar←(+⌿÷≢)⍺     ⍝ mean
     rss←+/×⍨⍺-yhat   ⍝ residual sum of squares
     tss←+/×⍨⍺-ybar   ⍝ total    sum of squares
     1-rss÷tss
 }
